#
# spec file for package sle-hwrefresh2011a-release (Version 11.1)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugzilla.novell.com/
#



Name:           sle-hwrefresh2011a-release
%define         product sle-hwrefresh2011a
Summary:        SUSE Linux Enterprise Hardware Refresh 2011A 11 SP1
Version:        11.1
Release:        1.2
License:        BSD 3-Clause
Group:          System/Fhs

Provides:       %name-%version
Provides:       product()
Provides:       product(sle-hwrefresh2011a) = %version-%release
Provides:       product(sle-hwrefresh2011a-SP1) = %version-%release
Obsoletes:      sle-hwrefresh2011a-SP1-migration
Obsoletes:      product:sle-hwrefresh2011a-SP1-migration
Requires:       product_flavor(sle-hwrefresh2011a)

AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SUSE Linux Enterprise Hardware Refresh 2011A


%package cd
License:        BSD 3-Clause
Group:          System/Fhs
Provides:       product_flavor()
Provides:       flavor(cd)
Provides:       product_flavor(sle-hwrefresh2011a) = %version-%release
Requires:       product(SUSE_SLE) = 11.1
Summary:        SUSE Linux Enterprise Hardware Refresh 2011A 11 SP1

%description cd
SUSE Linux Enterprise Hardware Refresh 2011A

%files cd
%defattr(-,root,root)
%doc %{_defaultdocdir}/sle-hwrefresh2011a-release-cd


%prep

%build


%install
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/sle-hwrefresh2011a-release-cd
cat >$RPM_BUILD_ROOT/%{_defaultdocdir}/sle-hwrefresh2011a-release-cd/README << EOF
This package just exist just for providing the product flavor 'cd'.

EOF

mkdir -p $RPM_BUILD_ROOT/etc/products.d
cat >$RPM_BUILD_ROOT/etc/products.d/sle-hwrefresh2011a.prod << EOF
<?xml version="1.0" encoding="UTF-8"?>
<product id="sle-11-sp1-hwrefresh2011a" schemeversion="0">
  <vendor>SUSE LINUX Products GmbH, Nuernberg, Germany</vendor>
  <name>sle-hwrefresh2011a</name>
  <version>11.1</version>
  <baseversion>11</baseversion>
  <patchlevel>1</patchlevel>
  <release>%{release}</release>
  <arch>%{_target_cpu}</arch>
  <productline>sle-hwrefresh</productline>
  <register>
    <target>sle-11-%{_target_cpu}</target>
    <release></release>
    <repositories>
      <repository path="obs://build.suse.de/SUSE:SLE-11-SP1:Update:HW-Refresh:2011-A:Test/standard" />
      <repository path="obs://build.suse.de/SUSE:SLE-11-SP1:Update/standard" />
      <repository path="obs://build.suse.de/SUSE:SLE-11-SP1:GA/standard" />
      <repository path="obs://build.suse.de/SUSE:SLE-11:Update/standard" />
      <repository path="obs://build.suse.de/SUSE:SLE-11:GA/standard" />
    </repositories>
  </register>
  <upgrades />
  <summary>SUSE Linux Enterprise Hardware Refresh 2011A 11 SP1</summary>
  <description>SUSE Linux Enterprise Hardware Refresh 2011A</description>
  <urls>
    <url name="bugtracker">https://bugzilla.novell.com/</url>
    <url name="releasenotes">http://www.novell.com/linux/releasenotes/%{_target_cpu}/SLE-HWREFRESH/11-SP1-2011A/release-notes-hwrefresh.rpm</url>
  </urls>
  <buildconfig>
    <producttheme>SLES</producttheme>
  </buildconfig>
  <installconfig>
    <defaultlang>en_US</defaultlang>
    <datadir>suse</datadir>
    <descriptiondir>suse/setup/descr</descriptiondir>
    <releasepackage name="sle-hwrefresh2011a-release" flag="EQ" version="11.1" release="%{release}" />
    <distribution>SUSE_SLE</distribution>
  </installconfig>
  <runtimeconfig />
</product>

EOF


%clean
rm -rf %buildroot

%files
%defattr(644,root,root,755)
%dir /etc/products.d
/etc/products.d/*.prod

%changelog
